# The RRDGraph class

(PECL rrd >= 0.9.0)

## Introduction

Class for exporting data from RRD database to image file.

## Class synopsis

RRDGraph {
/* Methods */
public __construct ( string `$path` )
public save ( void ) : array
public saveVerbose ( void ) : array
public setOptions ( array `$options` ) : void
}

## Table of Contents

- RRDGraph::__construct — Creates new RRDGraph instance
- RRDGraph::save — Saves the result of query into image
- RRDGraph::saveVerbose — Saves the RRD database query into image and returns the verbose information about generated graph
- RRDGraph::setOptions — Sets the options for rrd graph export